Dimensioning question

Discussion in 'AutoCAD' started by Josef, May 26, 2004.

  1. Josef

    Josef Guest

    I have to do a lot of dimensioning of small distances in tight space
    situations. I have both arrows outside of the extension lines. The text is
    also outside the extension lines above the dim line, next to one of the
    arrows.
    The problem is that the text is too far from the arrow. I have to explode
    the dimension, move the text closer to the arrow, and then shorten the dim
    line.
    Is there a smarter way to do this?
    I have v. 2000.

    Joe
     
    Josef, May 26, 2004
    #1
  2. First of all, you don't have to explode the dimension to move the text.
    Select it and drag the grip.
    Second, there are settings in the dimstyle to control where the arrows and
    text go, and how big they are, and you should look into this. If you are
    having A LOT of trouble dimensioning something, you probably have a
    'drafting' problem and are trying to cram too much into you drawing. This is
    why there are details.
     
    Michael Bulatovich, May 26, 2004
    #2
  3. Josef

    Josef Guest

    that moves the entire dimension - text and arrows.

    "dimtedit" moves the text only, but away from the arrow, it is not possible
    to move it closer to the arrow, although there is enough room there for at
    least two digits.
    I've tried everything in the Format Dim style dialog box. I thought there
    may be some "plugins" which will enable additional flexibility.

    If you are
    It is not a big trouble, but the dwg looks neater with the text closer to
    the arrows.

    Joe
     
    Josef, May 29, 2004
    #3
  4. Josef

    Roy Knapp Guest

    I think I don't fully appreciate your situation. BUT, many versions ago,
    when Autocad did not "do" multiline text in leaders I wrote this snipit:

    (defun C:LD (/ A B C D PT1 PT2 PT3 PT4 PTX oldlyr lyr)
    (graphscr)
    (setq oldlyr (getvar "clayer")
    A (getvar "DIMASZ")
    B (getvar "ORTHOMODE")
    C (getvar "OSMODE")
    D (getvar "DIMSCALE")
    )
    (setvar "clayer" "text")
    (setvar "DIMASZ" (* (getvar "TEXTSIZE") 1.25)) ;set arrow head size
    (setvar "ORTHOMODE" 0)
    (setvar "OSMODE" 512)
    (setvar "DIMSCALE" 1)
    (setq PT1 (getpoint "\nEnter Start Point <NEA>: "))
    (setvar "OSMODE" 0)
    (setq PT2 (getpoint PT1 "\nEnter Point: "))
    (setvar "ORTHOMODE" 1)
    (setq PT3 (getpoint PT2 "\nEnter End Point: "))
    (setvar "ORTHOMODE" 0)
    (command "dim1" "lea" PT1 PT2 PT3 "" commandnil)
    (setq PTX (/ (getvar "DIMASZ") 2.0))
    (setq PT4 (list ((if (> (car PT2) (car PT3))
    -
    +
    )
    (car PT3)
    PTX
    )
    (cadr PT3)
    )
    )
    (prompt "\nEnter Text: ")
    (command "dtext"
    (if (> (car PT2) (car PT3))
    "mr"
    "ml"
    )
    PT4
    "0"
    )
    (setvar "DIMASZ" A)
    (setvar "ORTHOMODE" B)
    (setvar "OSMODE" C)
    (setvar "DIMSCALE" D)
    (setvar "clayer" oldlyr)
    (princ)
    ) ;end ld.lsp



    my goodness, that is ugly code. use at your own risk only.

    but it solved my problem. I know the variables for dimensions confuse the
    heck out of me, and I am convinced there are some things I simply can't
    do with autocad "out of the box". somewhere in that code, I had to set
    text location. so I know you can control the text location. I have used
    this routine for years. (it is virtually screaming to be rewritten)

    so I think if it really bothers you, you can write a little lisp to
    simulate your dimension commands.....

    I am terrible at checking in on the boards, but I will try to remember to
    check next week. if you want help writing the routine.

    roy
     
    Roy Knapp, Jun 4, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.